XOHTML(1)

NAME
xohtml - display libxo html output xo_emit(3)

SYNOPSIS
xohtml [-b <base>] [-c -<command>"] [-f -<output>] [-w] [command [argument ...]]

DESCRIPTION
xohtml is a tool for preparing libxo(3) HTML output for display in modern HTML web browsers. xohtml can operate in two modes. If command is provided either with the -c option or as argument(s) to the xohtml command, that command is executed and the resulting output is processed. If no command is given, the standard input is used.

xohtml is typically used to wrap libxo output with sufficient HTML content to allow display in a web browser. This includes parent HTML tags as well as CSS stylesheets and Javascript files.

If the command is given directly on the command line, xohtml will add the "--libxo=html" option needed to generate HTML output from libxo -enabled applications. See xo_options(7) for details.

The following options are available:

-b base | --base base
    Supplies a source path for the CSS and Javascript files referenced in the output of xohtml.

-c command | --command command
    Use the given command instead of one on the command line. This command should be quoted if it consists of multiple tokens, and should contain the "--libxo=html" option or equivalent, since the command is used directly.

-f file | --file file
    Output is saved to the given file, rather than to the standard output descriptor.

-w | --web
    Uses the official libxo website URL as the source path for the CSS and Javascript files referenced in the output of xohtml.

EXAMPLES
The following command line will run "du --libxo=html ~/src" and save the output to /tmp/src.html:

        xohtml du ~/src > /tmp/src.html

The following command line will run "du --libxo=html,warn ~/src" and save the output to /tmp/src.html:

        du --libxo=html,warn ~/src | xohtml -f /tmp/src.html

The following command line will run "du --libxo=html,warn ~/src" and save the output to /tmp/src.html:

        xohtml -c "du --libxo=html,warn ~/src" -f /tmp/src.html

SEE ALSO
libxo(3), xo_emit(3), xo_options(7)